<?php


class ChilexpressGeoReferenciaService extends ChilexpressSoap implements ChilexpressServiceInterface {

  public function getHeaderNS() {
    return 'http://www.chilexpress.cl/CorpGR/';
  }

  public function setupWsdl() {
    return dirname(__FILE__) . '/wsdl/WSDL_GeoReferencia_QA.wsdl';
  }

  public function mappingInput() {
    return array(
      'ConsultarRegiones' => array(
        'reqObtenerRegion' => NULL,
      ),
      'ConsultarCoberturas' => array(
        'reqObtenerCobertura' => array(
          'CodTipoCobertura' => '',
          'CodRegion' => '',
        ),
      ),
    );
  }

  public function mappingOutput() {
    return array(
      'ConsultarRegiones' => array(
        'respObtenerRegion',
        'Regiones',
      ),
      'ConsultarCoberturas' => array(
        'respObtenerCobertura',
        'Coberturas',
      ),
    );
  }
}
