<?php


class ChilexpressTarificacionService extends ChilexpressSoap implements ChilexpressServiceInterface {

  public function getHeaderNS() {
    return 'http://www.chilexpress.cl/TarificaCourier/';
  }

  public function setupWsdl() {
    return dirname(__FILE__) . '/wsdl/WSDL_Tarificacion_QA.wsdl';
  }

  public function mappingInput() {
    return array(
      'TarificarCourier' => array(
        'reqValorizarCourier' => array(
          'CodCoberturaOrigen' => '',
          'CodCoberturaDestino' => '',
          'PesoPza' => '',
          'DimAltoPza' => '',
          'DimAnchoPza' => '',
          'DimLargoPza' => '',
        ),
      ),
    );
  }

  public function mappingOutput() {
    return array(
      'TarificarCourier' => array(
        'respValorizarCourier',
        'Servicios',
      ),
    );
  }
}
